Skip to main content
GET
Line Item Get Api

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

invoice_uuid
string
required
line_item_uuid
string
required

Response

Line item retrieved successfully

Output schema for invoice line items with UUID for external API.

uuid
string<uuid>
name
string | null
Maximum string length: 255
unit_price
number | null
quantity
integer | null
default:1
amount
number | null
currency
string | null
default:USD
Maximum string length: 3
description
string | null

The description of the line item

flat_fee
number | null

Fixed flat fee added to the line item amount

tax_rate
number | null
default:0
tax_amount
number | null
default:0
tax_name
string | null
Maximum string length: 255
discount_amount
number | null
discount_percent
number | null
service_start_date
string<date> | null

The date the service starts for the item

service_end_date
string<date> | null

The date the service ends for the item

display_order
integer | null

The order in which the line item will be displayed in the UI/pdf